/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0
import "Common"

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
RecipePage {
        title: "About"
    Container {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }

	        Container {
	            // The introduction text
	            Label {
	                multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    text: "<b>Picture Time Stamp</b> lets you stamp the date and time and optionally a logo graphic on any stored picture or take a picture from the camera.
You can also use Picture Time Stamp to quickly take a picture and email it to a predefined email address.
                    
You select the date and time format, where to stamp the date and time and/or logo on the picture and the color of the date and time.  You also need to select the folder where to save the stamped picture and the format.

The following formats are supported:
    
1. BMP creates a large file size
2. JPG creates the smallest file size and it compressed
3. PNG creates a large file size and has better quality than JPG
4. TIFF creates a very large file size

There are four methods that you can stamp a picture.

<b>1. Manual</b>

Select the Browse button in Picture Time Stamp application if you want to stamp a picture that you have already taken.  A file browser will let you browse for the picture.
You can also select to stamp using the current date and time or the date and time from the picture.  Check the 'Always use picture datetime' checkbox.

<b>2. Camera</b>

Select the Camera button in Picture TimeStamp application if you want to take a picture and stamp it.  Picture Time Stamp will open the camera and you can then toggle between the Front and Rear cameras.   To take a picture select the Take button.
You can use pinch to zoom in and out of the picture.

<b>3. System Share</b>

Use any 3rd application that has the System <b>Share</b> feature like in the Pictures and File Browser applications.  When you view the picture or bring up the menu you select select <b>Share</b> and then select <b>Picture TimeStamp</b>.

<b>4. Open In</b>

Use any 3rd application that has the System <b>Open In</b> menu feature like the File Browser applications.  When you view the picture or bring up the menu you select select <b>Open In Picture TimeStamp</b>.


<b>Stamping a Logo</b>

A logo can be a BMP, GIF, JPG or PNG file and can be any size but not recommend you to use size larger than 2000x2000 pixels.  PNG is recommended because it supports transparent. 
Note that Picture TimeStamp does not resize your logo.

<b>Stamping From 3rd Party Application</b>

You can select any picture to stamp from the Pictures or any 3rd party application that supports <b>Share</b> or <b>Open In</b> feature.  Just select the picture or touch and hold the picture and select the Share icon.
You will see <b>Picture Time Stamp</b> in the list.  If you do not see it then scroll down to the bottom.

<b>Stamping From File Manager Application</b>

You can select any picture to stamp from the File Manager application.  Just select the picture and then select the <b>Three Dots</b> icon and then select <b>Open In</b> or <b>Open in Picture Time Stamp</b>.
You can also touch and hold the picture and then select <b>Open In</b> or <b>Open in Picture Time Stamp.</b>

<b>Where are the Stamped picture saved?</b>

Picture Time Stamp creates a new subfolder called <b>StampedPictures</b> in the <b>photos</b> folder on the Device or SD Card.
To view the pictures you can use any file browser or the Pictures application.	            

Picture Time Stamp v4.2
Copyright © 2013-2015 Toysoft Inc.
All Rights Reserved.

www.toysoft.ca
support@toysoft.ca"

                    //	                layoutProperties: StackLayoutProperties {
//	                    spaceQuota: 1.0
//	                }
	            }// Label
	        }// Container
	
	
	    }// RecipeContainer
	}

	    actions: [
/*
		        // define the actions for first tab here
		        ActionItem {
		            title: qsTr("Invite to Download")
		            imageSource: "asset:///images/icon_person.png"
		            onTriggered: {
		                       _mainApp.invitedownload()
		            }
		        },
*/
	        ActionItem {
	            title: "More Apps"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/icon_moreapps.png"
	            onTriggered: {
	                invokeappworld.trigger("bb.action.OPEN")
	            }
	        },

	        ActionItem {
	            title: "Invite"
	            ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/icon_person.png"
	             
	            onTriggered: {
                    _mainApp.invitedownload()
	            }
	        },

	        ActionItem {
	            title: "Add Review"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_edit.png"
	            onTriggered: {
	                addreview.trigger("bb.action.OPEN")
	            }
	        }

	        
	        ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

	    Invocation
	    {
	         id: invokewebsite
	         query: InvokeQuery
	         {
				mimeType: "text/html"
				uri: "http://www.toysoft.ca/"
				invokeActionId: "bb.action.OPEN"
	         }
	     },

        Invocation {
            id: addreview
            query: InvokeQuery {
                mimeType: "application/x-bb-appworld"
                uri: "appworld://content/19132661"
                invokeActionId: "bb.action.OPEN"
            }
        },

        Invocation
	    {
	         id: invokeappworld
	         query: InvokeQuery
	         {
                mimeType: "application/x-bb-appworld"
				uri: "appworld://vendor/184"
				invokeActionId: "bb.action.OPEN"
	         }
	     }

	  ]
  
}// RecipePage