import bb.cascades 1.0
import bb.cascades.pickers 1.0

//! [0]
NavigationPane {
    id: navigationPane

    Page {
        titleBar: TitleBar {
            title: "Picture Time Stamp"

        }
		Container
		{
                layout: DockLayout {
                }
/*                
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Top
                    ColoredRectangle {
                        topMargin: 100
                        id: service
                        title: "Picture Time Stamp"
                        color: Color.White
                    }
                    //! [0]
                }
*/                
                
                Container {
                    objectName: "main_container"
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    }
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    Container
                    {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        
                        }
                        Container {
                            preferredWidth: 500
                            objectName: "container_1"
                            ImageButton {
                                objectName: "img_1"
                                horizontalAlignment: HorizontalAlignment.Center
                                defaultImageSource: "asset:///images/ic_newcamera.png"
                                onClicked: {
                                    timestampMain.saveSettings(88, 1, "");
                                }

                            }
                            Label {
                                text: "Stamp"
                                horizontalAlignment: HorizontalAlignment.Center
                                textStyle.fontSize: FontSize.Large
                            }
                        }
                        

                        Container {
                            preferredWidth: 500
                            objectName: "container_2"
                            ImageButton {
                                objectName: "img_2"
                                defaultImageSource: "asset:///images/ic_newcamera.png"
                                onClicked: {
                                    timestampMain.saveSettings(87, 1, "");
                                }
                                horizontalAlignment: HorizontalAlignment.Center
    
                            }
                            Label {
                                horizontalAlignment: HorizontalAlignment.Center
                                text: "Email"
                                textStyle.fontSize: FontSize.Large
                            }
                        }
                    }
                    
                    
                        
                    Container
                    {
                        topPadding: 50
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        
                        }
                        Container {
                            preferredWidth: 500
                            objectName: "container_3"

                            ImageButton {
                                objectName: "img_3"
                                horizontalAlignment: HorizontalAlignment.Center
                                defaultImageSource: "asset:///images/ic_stamp.png"
                                onClicked: {
                                    onClicked: {
                                        timestampMain.saveSettings(99, 1, "");
                                        filePicker.open();
                                    }
                                }
                            
                            }
                            Label {
                                horizontalAlignment: HorizontalAlignment.Center
                                text: "Browse"
                                textStyle.fontSize: FontSize.Large
                            }
                        }
                        
                        
                        Container {
                            preferredWidth: 500
                            objectName: "container_4"
                            ImageButton {
                                objectName: "img_4"
                                horizontalAlignment: HorizontalAlignment.Center
                                defaultImageSource: "asset:///images/ic_newsettings.png"
                                onClicked: {
                                    timestampMain.openSettings();
                                }
                            
                            }
                            Label {
                                horizontalAlignment: HorizontalAlignment.Center
                                text: "Settings"
                                textStyle.fontSize: FontSize.Large
                            }
                        }
                    }
                    
                
                } // container
                

                
 	            // show the activity indication center of the screen
	            Container {
	                horizontalAlignment: HorizontalAlignment.Center
	                verticalAlignment: VerticalAlignment.Center
	
	                layout: DockLayout {
	                }
	
	                ActivityIndicator {
	                    id: myIndicator
	                    objectName: "activityIndicator"
	                    preferredWidth: 200
	                    preferredHeight: 200
	                    running: false
	                    visible: false
	                }
	            }


                Container {
                    visible: false
                    objectName: "container_gps"
                    verticalAlignment: VerticalAlignment.Bottom
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                         objectName: "lb_gps"
                         text: "GPS: "
                         textStyle.fontSize: FontSize.Large
                         horizontalAlignment: HorizontalAlignment.Center
                     }
                }


                Container {
                    objectName: "container_progress"
                    verticalAlignment: VerticalAlignment.Bottom
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    leftPadding: 20
                    rightPadding: leftPadding
                    bottomPadding: leftPadding
                    visible: false
                    Container
                    {
                        background: Color.LightGray
                        preferredHeight: 310
                        Label {
                            text: qsTr("Stamping")
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.color: Color.Blue
                            textStyle.fontSize: FontSize.Large
                        }
                        Label {
                            objectName: "lb_converting"
                            text: qsTr("" )
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.color: Color.Blue
                        }
                        Container {
                            bottomPadding: 5
                            rightPadding: leftPadding
                            verticalAlignment: VerticalAlignment.Center
                            
                            ProgressIndicator {
                                objectName: "pi_progress"
                                toValue: 100.0
                                fromValue: 0.0
                                value: 0.0
                            }
                        }
                        Button {
                            id: bt_cancel
                            text: qsTr("Cancel")
                            horizontalAlignment: HorizontalAlignment.Center
                            onClicked: {
                                timestampMain.abortStamp()
                            }
                        }
                        Label {
                            text: ""
                        }
                    }
                
                } // speech
	        
        
        } // container


    } // page


    attachedObjects: [

        ComponentDefinition {
            id: pageDefinition;
            source: "about.qml"
        },

        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.png", "*.gif", "*.bmp" ]
            title: "Select a Picture"
            directories: [ "/accounts/1000/shared" ]
            //              directories : ["/accounts/1000/shared/photos", "/accounts/1000/shared/camera"]
            onFileSelected: {

                timestampMain.manipulatePhoto(0, selectedFiles);
            }

            onCanceled: {
                myIndicator.setVisible(false);
           }
            mode: FilePickerMode.PickerMultiple
        }

    ]

}
//! [0]
