// Default empty project template
import bb.cascades 1.2
import bb.cascades.pickers 1.0

Sheet
{// creates one page with a label
    id: navigationPane
    Page {

        titleBar: TitleBar {
            id: addBar
            title: "Settings"
            visibility: ChromeVisibility.Visible
/*
            acceptAction: ActionItem {
                title: "Close"
                onTriggered: {
                    navigationPane.close()
                }
            }

            acceptAction: ActionItem {
                title: "Save"
                onTriggered: {
                    timestampMain.saveMovieSettings()
                }
            }
*/
        } // titleBar

        actions: [
            ActionItem {
                title: "Close"
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_close.png"
                onTriggered: {
                    timestampMain.saveSettings(100, 0, 0);
                    navigationPane.close()
                }
            }
        ]


        Container {
            
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Email")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_timestamp.setVisible(true)
                        container_email.setVisible(false)
                    }
                    else 
                    {
                        container_timestamp.setVisible(false)
                        container_email.setVisible(true)
                    }
                }
            } // segement 

        

       Container {
           id: container_timestamp
           visible: true
		ScrollView {
		    id: scrollView
		    scrollViewProperties {
		        scrollMode: ScrollMode.Vertical
		    }



	        Container {
		        topPadding: 20
		        rightPadding: topPadding
		        leftPadding: rightPadding

                    Container
                    {
                        topPadding: 10
                        layout: DockLayout {
                        }
                        horizontalAlignment: HorizontalAlignment.Fill
                        Label {
                            text: qsTr("Use fast stamp version") + Retranslate.onLanguageChanged	            
                            horizontalAlignment: HorizontalAlignment.Left
                            multiline: true
                        }
                        ToggleButton {
                            id: bt_fast_stamp
                            objectName: "tb_fast_stamp"
                            horizontalAlignment: HorizontalAlignment.Right
                            onCheckedChanged: {
                                timestampMain.saveSettings(20, checked, "");
                                container_gps.setVisible(!checked)
                            }
                        }
                    } 
                    Label {
                        text: qsTr("Fast version does not support stamping GPS location.")
                            multiline: true
                            textStyle.fontSize: FontSize.Small
                        }

                    
                    Header {
                        title: "Stamp Datetime"
                    }
                    DropDown {
	                id: formatdropdown
	                objectName: "timeformatDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Date/Time"
	
	                Option {
	                    value: "Do Not Stamp Datetime"
	                    text:  "Do Not Stamp Datetime"
	                }

	                Option {
	                    value: "mm-dd-yyyy hh:mm:ss ap"
                        text:  "mm-dd-yyyy hh:mm:ss ap"
	                }
	                
	                Option {
                        value: "dd-mm-yyyy hh:mm:ss ap"
                        text:  "dd-mm-yyyy hh:mm:ss ap"
	                }
	
	                Option {
                        value: "mm/dd/yyyy hh:mm:ss ap"
                        text:  "mm/dd/yyyy hh:mm:ss ap"
	                }
	                
	                Option {
                        value: "dd/mm/yyyy hh:mm:ss ap"
                        text:  "dd/mm/yyyy hh:mm:ss ap"
	                }
	                // dates only
	                Option {
	                    value: "mm-dd-yyyy"
	                    text:  "mm-dd-yyyy"
	                }
	                
	                Option {
	                    value: "dd-mm-yyyy"
	                    text:  "dd-mm-yyyy"
	                }
	
	                Option {
	                    value: "mm/dd/yyyy"
	                    text:  "mm/dd/yyyy"
	                }
	                
	                Option {
	                    value: "dd/mm/yyyy"
	                    text:  "dd/mm/yyyy"
	                }

                    Option {
                        value: "yyyy/mm/dd hh:mm:ss ap"
                        text:  "yyyy/mm/dd hh:mm:ss ap"
                    }
	
	                onSelectedValueChanged: {
	                    timestampMain.saveSettings(0, selectedIndex, selectedValue);
	                    if (selectedIndex == 0)
	                    {
                        	colordropdown.setVisible(false);
                            positiondropdown.setVisible(false);
                        }
	                    else 
	                    {
                                colordropdown.setVisible(true);
                                positiondropdown.setVisible(true);
                        }
                    }
//                        selectedIndex: 1
                }    // format dropdown
	            DropDown {
	                id: colordropdown
	                objectName: "colorDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Text Color"
	
	                Option {
	                    value: "Black"
	                    text:  "Black"
	                }
	                
	                Option {
	                    value: "Blue"
	                    text:  "Blue"
	                }
	
	                Option {
	                    value: "Orange"
	                    text:  "Orange"
	                }
	                
	                Option {
	                    value: "Red"
	                    text:  "Red"
	                }
	
	                Option {
	                    value: "Yellow"
	                    text:  "Yellow"
	                }
	
	                Option {
	                    value: "White"
	                    text:  "White"
	                }
	                onSelectedValueChanged: {
	                    timestampMain.saveSettings(1, selectedIndex, selectedValue);
	                }
//                        selectedIndex: 3
                    }    // color drop down
	            DropDown {
	                id: positiondropdown
	                objectName: "positionDropdown"
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Position"
	
	                Option {
	                    value: "Top Left"
	                    text:  "Top Left"
	                }
	                Option {
	                    value: "Top Right"
	                    text:  "Top Right"
	                }
	                Option {
	                    value: "Bottom Left"
	                    text:  "Bottom Left"
	                }
	                Option {
	                    value: "Bottom Right"
	                    text:  "Bottom Right"
	                }
	                Option {
	                    value: "Centered"
	                    text:  "Centered"
	                }
	                onSelectedValueChanged: {
	                    timestampMain.saveSettings(4, selectedIndex, selectedValue);
	                }
//                        selectedIndex: 0
                    }    // position
                    Header {
                        title: "Stamp Logo"
                    }

                    DropDown {
    	                id: logodropdown
    	                objectName: "logoDropdown"
    	                horizontalAlignment: HorizontalAlignment.Fill
    	
    	                title: "Stamp Logo"
    	
    	                Option {
    	                    value: "Do Not Stamp Logo"
    	                    text:  "Do Not Stamp Logo"
    	                }
    	                Option {
    	                    value: "Top Left"
    	                    text:  "Top Left"
    	                }
    	                Option {
    	                    value: "Top Right"
    	                    text:  "Top Right"
    	                }
    	                Option {
    	                    value: "Bottom Left"
    	                    text:  "Bottom Left"
    	                }
    	                Option {
    	                    value: "Bottom Right"
    	                    text:  "Bottom Right"
    	                }
    	                Option {
    	                    value: "Centered"
    	                    text:  "Centered"
    	                }
    	                onSelectedValueChanged: {
    	                    timestampMain.saveSettings(7, selectedIndex, selectedValue);
    	                    if (selectedIndex == 0)
    	                        selectLogoButton.visible = false;
    	                    else
    	                        selectLogoButton.visible = true;
    	                }
                    }    // logo
		            
		            Container {
                            layout: StackLayout {
                                orientation: LayoutOrientation.LeftToRight
                            }
                            id: selectLogoButton

                            horizontalAlignment: HorizontalAlignment.Center
                            ImageView {
                                id: img_logo
                                preferredHeight: 128
                                preferredWidth: 128
                                scalingMethod: ScalingMethod.AspectFill
                                objectName: "img_logo"
                                imageSource: "asset:///images/ic_view.png"
                            }

                            Button {
            				   text: "Select a Logo"				   
            				   imageSource: "asset:///images/icon_picfolder.png"
                                onClicked: {
            	                     logofilePicker.open()
            	                }
                                verticalAlignment: VerticalAlignment.Center
                            }
        			}
	                Header {
	                    title: "Options"
	                }
                    DropDown {
		                objectName: "savetoFolder"
		                id: picFolder
		                horizontalAlignment: HorizontalAlignment.Fill
		
		                title: "Save to folder"
	
		                onSelectedValueChanged: {
		                    timestampMain.saveSettings(2, selectedIndex, selectedValue);
		                }
                        visible: false
                    }

                    DropDown {
                        objectName: "saveto"
                        id: saveto
                        horizontalAlignment: HorizontalAlignment.Fill

                        title: "Save to"

                        Option {
                            value: "device"
                            text: "Device"
                            description: "Save pictures in main memory"
                        }
                        Option {
                            value: "SDCard"
                            text: "SD Card"
                            description: "Save pictures on the SD Card"
                        }

                        onSelectedValueChanged: {
                            timestampMain.saveSettings(8, selectedIndex, selectedValue);
                        }
                        //                        selectedIndex: 1
                    }

                    DropDown {
	                objectName: "saveformat"
	                id: saveformat
	                horizontalAlignment: HorizontalAlignment.Fill
	
	                title: "Format"

	                Option {
	                    value: "BMP"
	                    text:  "BMP"
                            description: "Large file size"
                        }
	                Option {
	                    value: "JPG"
	                    text:  "JPG"
                            description: "Small file size"
                        }
	                Option {
	                    value: "PNG"
	                    text:  "PNG"
                            description: "Average file size"
                        }
	                Option {
	                    value: "TIFF"
	                    text:  "TIFF"
                            description: "Very large file size"
                        }

	                onSelectedValueChanged: {
	                    timestampMain.saveSettings(5, selectedIndex, selectedValue);
	                }
                }

                DropDown {
                    objectName: "dd_resize"
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    title: "Resize Picture"
                    
                    Option {
                        text:  "No Resize"
                    }
                    Option {
                        text:  "85%"
                    }
                    Option {
                        text:  "75%"
                    }
                    Option {
                        text:  "65%"
                    }
                    Option {
                        text:  "50%"
                    }
                    Option {
                        text:  "35%"
                    }
                    Option {
                        text:  "25%"
                    }
    
                    Option {
                        text:  "640 x 480"
                    }
                    Option {
                        text:  "1280 x 960"
                    }
    
    
                    onSelectedValueChanged: {
                        timestampMain.saveSettings(111, selectedIndex, selectedValue);
                    }
                }

                Header {
                    title: "When Stamping Manually"
                }
/*                
				CheckBox {
				    id: manualStamp
	                objectName: "manualStamp"
				    text: "Use picture datetime"
	                horizontalAlignment: HorizontalAlignment.Fill
				    onCheckedChanged: {
	                    timestampMain.saveSettings(3, checked, "");
	                }
                    checked: true
                }
*/
                Container
                {
                    topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: qsTr("Use picture datetime") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                    }
                    ToggleButton {
                        objectName: "manualStamp"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            timestampMain.saveSettings(3, checked, "");
                        }
                    }
                } 
                Divider {
                    
                }

                Container
                {
                    id: container_gps
                    visible: !bt_fast_stamp.checked
                    topPadding: 10
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        text: qsTr("Stamp GPS Location") + Retranslate.onLanguageChanged	            
                        horizontalAlignment: HorizontalAlignment.Left
                        multiline: true
                    }
                    ToggleButton {
                        objectName: "tg_stamp_gps"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            timestampMain.saveSettings(9, checked, "");
                        }
                    }
                } 
				
				

				 
	        }    // 2nd container
	    }
	  }
		// scrollview
		
		Container {
		    visible: false
		    id: container_email
		    leftPadding: 10
		    rightPadding:  10
             ScrollView {
                 
                 Container {
                     Header {
                         title: qsTr("Email Account")
                     }
                     DropDown {
                         id: dd_account1
                         title: qsTr("Account") + Retranslate.onLanguageChanged	            
                         objectName: "dd_account1"
                     }
                     TextField {
                         objectName: "tf_email"
                         hintText: qsTr("Enter a email address")   
                         
                     }
                     TextField {
                         objectName: "tf_subject"
                         hintText: qsTr("Enter a subject")   
                          
                    }
                    TextArea {
                        objectName: "tf_message"
                        hintText: qsTr("Enter a message")    
                    }
                 }

             } // scrollview

		
		} // container email
		 

        // show the activity indication center of the screen
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            
            layout: DockLayout { 
            }

            ActivityIndicator {
                id: myIndicator
                objectName: "activityIndicator"
                preferredWidth: 130
                preferredHeight: 130
//                horizontalAlignment: HorizontalAlignment.Center
//                verticalAlignment: VerticalAlignment.Center
            }
        }



	} // first containter
	  attachedObjects: [


          FilePicker {
              id:filePicker
              type : FileType.Picture
              filter: ["*.jpg", "*.png", "*.gif"]
              title : "Select a Picture"
              directories : ["/accounts/1000/shared"]
//              directories : ["/accounts/1000/shared/photos", "/accounts/1000/shared/camera"]
              onFileSelected : {

                  timestampMain.manipulatePhoto(0, selectedFiles);
              }
              onCanceled :
              {
                  myIndicator.stop();
              }
          },

          FilePicker {
              id: logofilePicker
              type : FileType.Picture
              filter: ["*.jpg", "*.png", "*.gif", "*.bmp"]
              title : "Select a Picture"
              directories : ["/accounts/1000/shared"]
              onFileSelected : {
                  timestampMain.manipulatePhoto(1, selectedFiles);
              }
          },

        TextStyleDefinition {
            id: textStyleBoldTitle 
            base: SystemDefaults.TextStyles.TitleText
            fontWeight: FontWeight.Bold
        },

        TextStyleDefinition {
            id: textStyleNormalTitle 
            base: SystemDefaults.TextStyles.TitleText
            fontWeight: FontWeight.Normal
        }
	  ]
	  
 }    // page
}
